opusfile: OpusPictureTag Struct Reference

| opusfile 0.12 Stand-alone decoder library for .opus files.

Loading...
Searching...
No Matches
Data Fields
OpusPictureTag Struct Reference

The contents of a METADATA_BLOCK_PICTURE tag. More...

`#include <opusfile.h>`

## Data Fields
opus_int32 | type
| The picture type according to the ID3v2 APIC frame:
char * | mime_type
| The MIME type of the picture, in printable ASCII characters 0x20-0x7E.
char * | description
| The description of the picture, in UTF-8.
opus_uint32 | width
| The width of the picture in pixels.
opus_uint32 | height
| The height of the picture in pixels.
opus_uint32 | depth
| The color depth of the picture in bits-per-pixel (not bits-per-channel).
opus_uint32 | colors
| For indexed-color pictures (e.g., GIF), the number of colors used, or 0 for non-indexed pictures.
opus_uint32 | data_length
| The length of the picture data in bytes.
unsigned char * | data
| The binary picture data.
int | format
| The format of the picture data, if known.

## Detailed Description

The contents of a METADATA_BLOCK_PICTURE tag.

## Field Documentation

## ◆ type

opus_int32 OpusPictureTag::type

The picture type according to the ID3v2 APIC frame:

0. Other
1. 32x32 pixels 'file icon' (PNG only)
2. Other file icon
3. Cover (front)
4. Cover (back)
5. Leaflet page
6. Media (e.g. label side of CD)
7. Lead artist/lead performer/soloist
8. Artist/performer
9. Conductor
10. Band/Orchestra
11. Composer
12. Lyricist/text writer
13. Recording Location
14. During recording
15. During performance
16. Movie/video screen capture
17. A bright colored fish
18. Illustration
19. Band/artist logotype
20. Publisher/Studio logotype

Others are reserved and should not be used. There may only be one each of picture type 1 and 2 in a file.

## ◆ mime_type

char* OpusPictureTag::mime_type

The MIME type of the picture, in printable ASCII characters 0x20-0x7E.

The MIME type may also be `"-->"` to signify that the data part is a URL pointing to the picture instead of the picture data itself. In this case, a terminating NUL is appended to the URL string in data, but data_length is set to the length of the string excluding that terminating NUL.

## ◆ format

int OpusPictureTag::format

The format of the picture data, if known.

One of

- OP_PIC_FORMAT_UNKNOWN,
- OP_PIC_FORMAT_URL,
- OP_PIC_FORMAT_JPEG,
- OP_PIC_FORMAT_PNG, or
- OP_PIC_FORMAT_GIF.

The documentation for this struct was generated from the following file:

- opusfile.h